CreateBareMetal2ProvisionNetwork
CreateBareMetal2ProvisionNetwork
POST
/zstack/v1/baremetal2/provision-networksOperation ID
CreateBareMetal2ProvisionNetworkSince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the deployment network.
descriptionStringOptional. The detailed description of the deployment network.
zoneUuidStringRequiredThe zone UUID.
dhcpInterfaceStringRequiredThe name of the DHCP NIC.
dhcpRangeStartIpStringRequiredThe starting IP address that DHCP assigns to a bare metal instance.
dhcpRangeEndIpStringRequiredThe ending IP address that DHCP assigns to a bare metal instance.
dhcpRangeNetmaskStringRequiredThe netmask of the IP range from which the DHCP server assigns an IP address to a bare metal instance.
dhcpRangeGatewayStringOptional. The gateway IP address.
resourceUuidStringOptional. The deployment network UUID.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
